import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name = "bug")
@XmlType(propOrder = { "bugID", "shortDescription", "version", "priority",
		"os", "bugSeverity", "bugStatus", "resolution", "bugCloseDate" })
/**
 * This class contains information relevant to a bug that has been filed as a bug report.  The commenting is somewhat sparse, though really all the class has is a set of attributes and really doesn't do anything other than store data.  It is essentially a glorified structure.
 * 
 * @author schilling
 *
 */
public class Bug {
	// @XmlElement(name = "bugID")
	private int bugID;
	// @XmlElement(name = "shortDescription")
	private String shortDescription;
	// @XmlElement(name = "status")
	private String bugStatus;
	// @XmlElement(name = "resolution")
	private String resolution;
	// @XmlElement(name = "priority")
	private String priority;
	// @XmlElement(name = "severity")
	private String bugSeverity;
	// @XmlElement(name = "closeDate")
	private String bugCloseDate;
	// @XmlElement(name = "version")
	private double version;

	// @XmlElement(name = "os")
	private String os;

	public Bug() {
		super();
	}

	public Bug(int bugID) {
		this.bugID = bugID;
	}

	public int getBugID() {
		return bugID;
	}

	public void setBugID(int bugID) {
		this.bugID = bugID;
	}

	public String getShortDescription() {
		return shortDescription;
	}

	public void setShortDescription(String shortDescription) {
		this.shortDescription = shortDescription;
	}

	public String getBugStatus() {
		return bugStatus;
	}

	public void setBugStatus(String bugStatus) {
		this.bugStatus = bugStatus;
	}

	public String getResolution() {
		return resolution;
	}

	public void setResolution(String resolution) {
		this.resolution = resolution;
	}

	public String getPriority() {
		return priority;
	}

	public void setPriority(String priority) {
		this.priority = priority;
	}

	public String getBugSeverity() {
		return bugSeverity;
	}

	public void setBugSeverity(String bugSeverity) {
		this.bugSeverity = bugSeverity;
	}

	public String getBugCloseDate() {
		return bugCloseDate;
	}

	public void setBugCloseDate(String bugCloseDate) {
		this.bugCloseDate = bugCloseDate;
	}

	public double getVersion() {
		return version;
	}

	public void setVersion(double version) {
		this.version = version;
	}

	public String getOs() {
		return os;
	}

	public void setOs(String os) {
		this.os = os;
	}

}
